=== debian/control ===
Source: fwbuilder
Section: net
Priority: optional
Maintainer: Sirius Bakke <sirius@bakke.co>
Build-Depends: debhelper (>=11~), cdbs, cmake, qtbase5-dev,
 qttools5-dev-tools, zlib1g-dev, libxml2-dev, libxslt1-dev, libsnmp-dev
Standards-Version: 3.9.3
Homepage: https://www.fwbuilder.org
Vcs-Browser: https://github.com/fwbuilder/fwbuilder
Vcs-Git: https://github.com/fwbuilder/fwbuilder.git

Package: fwbuilder
Architecture: any
Provides: fwbuilder-frontend
Depends: ${shlibs:Depends}, ${misc:Depends},  
 fwbuilder-common (= ${source:Version})
Replaces: fwbuilder-linux, fwbuilder-cisco, fwbuilder-bsd, fwbuilder-backend,
 libfwbuilder9
Recommends: fwbuilder-doc
Description: Firewall administration tool GUI
 Firewall Builder consists of an object-oriented GUI and a set of policy
 compilers for various firewall platforms. In Firewall Builder, firewall
 policy is a set of rules, each rule consists of abstract objects which
 represent real network objects and services (hosts, routers, firewalls,
 networks, protocols). Firewall Builder helps the user maintain a database
 of objects and allows policy editing using simple drag-and-drop operations.
 .
 This is the GUI part of fwbuilder

Package: fwbuilder-common
Depends: ${misc:Depends}
Architecture: all
Description: Firewall administration tool GUI (common files)
 Firewall Builder consists of an object-oriented GUI and a set of policy
 compilers for various firewall platforms. In Firewall Builder, firewall
 policy is a set of rules, each rule consists of abstract objects which
 represent real network objects and services (hosts, routers, firewalls,
 networks, protocols). Firewall Builder helps the user maintain a database
 of objects and allows policy editing using simple drag-and-drop operations.
 .
 This is the arch independent common parts of fwbuilder

Package: fwbuilder-doc
Depends: ${misc:Depends}
Section: doc
Architecture: all
Description: Firewall administration tool GUI documentation
 Firewall Builder consists of an object-oriented GUI and a set of policy
 compilers for various firewall platforms. In Firewall Builder, firewall
 policy is a set of rules, each rule consists of abstract objects which
 represent real network objects and services (hosts, routers, firewalls,
 networks, protocols). Firewall Builder helps the user maintain a database
 of objects and allows policy editing using simple drag-and-drop operations.
 .
 This is the documentation of fwbuilder

Package: fwbuilder-dbg
Section: debug
Priority: extra
Architecture: any
Depends: fwbuilder (= ${binary:Version}), ${misc:Depends}
Description: Firewall administration tool GUI (debugging symbols)
 Firewall Builder consists of an object-oriented GUI and a set of policy
 compilers for various firewall platforms. In Firewall Builder, firewall
 policy is a set of rules, each rule consists of abstract objects which
 represent real network objects and services (hosts, routers, firewalls,
 networks, protocols). Firewall Builder helps the user maintain a database
 of objects and allows policy editing using simple drag-and-drop operations.
 .
 This package ships the debugging symbols of fwbuilder.
